Page MenuHomePhabricator

Do we still need /data/project/toolserver-home-archive/archive-2014-06-05.tar.xz
Closed, ResolvedPublic

Description

When trying to find things to clean up in order to trim the space used on Tools NFS, I found this old file.
Is this still needed or in use? It looks like this tool is there just to serve the archive, but it's not exactly recent anymore.

Details

Due Date
May 22 2020, 12:00 AM

Event Timeline

Bstorm created this task.Mar 10 2020, 6:20 PM
bd808 moved this task from Backlog to Shared Storage on the Data-Services board.Apr 8 2020, 5:49 PM
JHedden triaged this task as Medium priority.Apr 21 2020, 4:24 PM
bd808 added a subscriber: Nemo_bis.May 5 2020, 9:42 PM
$ ls -lh /data/project/toolserver-home-archive/archive-2014-06-05.tar.xz
-rw-r--r-- 1 tools.toolserver-home-archive tools.toolserver-home-archive 52G Jun 11  2014 /data/project/toolserver-home-archive/archive-2014-06-05.tar.xz

This file was last discussed in T136202: toolserver-home-archive is using 52G on Tools. I believe the contents of this file are also available at https://archive.org/download/wikimedia-toolserver-home-2014-06-05.

@Nemo_bis is listed as the sole maintainer of the tool which currently holds this file locally on Toolforge. Nemo declined the prior ticket. I feel that his argument at the time was basically that somebody might find that they want/need a file from this archive at some point. 3-4 years later, I think I would be inclined to argue that the data is available at the Internet Archive and we can point folks there if they suddenly realize that a file they knew about 6 years ago is relevant to their current work for the projects.

@Nemo_bis What are your current thoughts about the utility of having this large archive hosted locally within the Toolforge tool $HOME NFS partition?

bd808 set Due Date to May 22 2020, 12:00 AM.May 15 2020, 9:41 PM
bd808 added a comment.May 15 2020, 9:45 PM

I have set a 2020-05-22 deadline for this removal and notified @Nemo_bis on their meta talk page.

Nemo_bis closed this task as Resolved.May 16 2020, 5:22 AM

Thanks for looking into it and for the notification. I have deleted the file.

There was some use of it for a while after the last time we discussed this, but I've not heard of any tool or data recovered from the archive in recent times. (https://tools.wmflabs.org/pirsquared/ts_archive/ is a 404 too now, not sure what happened there.)

bd808 reassigned this task from bd808 to Nemo_bis.May 17 2020, 9:52 PM
bd808 added a subscriber: bd808.

Thanks @Nemo_bis